<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<meta name="description" content="">
<meta name="author" content="">

<title>Uploaded receipts</title>


<!-- Bootstrap core CSS -->
<link href="../css/bootstrap.min.css" rel="stylesheet">
<!-- Bootstrap table -->
<link href="../css/bootstrap-table.css" rel="stylesheet" >

<style>
 .source_image {
      position:absolute;
      border: 1px solid #ddd;
    }
#image_container {
	position: relative;
}
body {
      position:absolute;
      top: 0px;
    }
	
#hocr {
	
}
.ocrx_word {
      position:absolute;
      display:block;
}
    
.child {
	position: absolute;
}
</style>
</head>
<body>

<div class="container">

<h1>Receipt debug</h1>
	
<div id="image_container">
    <img id="source_image" src="../images/totaal_real_kl_resized_magic_thresh.jpg" />
</div>

<div class="input-group">
<div class="checkbox">
    <label>
      <input type="checkbox" id="showRects" aria-label="Show ocr-bounded-rectangles">Rectangles
    </label>
  </div>

</div>
<div id="hocr"><div class='ocr_page' id='page_4' title='image ""; bbox 0 0 860 1180; ppageno 3'>
   <div class='ocr_carea' id='block_4_1' title="bbox 0 0 860 1180">
    <p class='ocr_par' dir='ltr' id='par_4_1' title="bbox 0 0 797 1162">
     <span class='ocr_line' id='line_4_1' title="bbox 4 0 490 55; baseline -0.01 -19"><span class='ocrx_word' id='word_4_1' title='bbox 4 8 10 55; x_wconf 50' lang='eng'><em>;</em></span> <span class='ocrx_word' id='word_4_2' title='bbox 318 0 490 36; x_wconf 53' lang='eng' dir='ltr'>1ft31r#\l?</span> 
     </span>
     <span class='ocr_line' id='line_4_2' title="bbox 0 62 336 135; baseline -0.003 -23"><span class='ocrx_word' id='word_4_3' title='bbox 0 62 6 135; x_wconf 50' lang='eng' dir='ltr'><em>f</em></span> <span class='ocrx_word' id='word_4_4' title='bbox 58 84 143 113; x_wconf 67' lang='eng' dir='ltr'>TOTAL</span> <span class='ocrx_word' id='word_4_5' title='bbox 163 82 336 114; x_wconf 67' lang='eng' dir='ltr'>Peelerveld</span> 
     </span>
     <span class='ocr_line' id='line_4_3' title="bbox 0 123 495 170; baseline 0.002 -18"><span class='ocrx_word' id='word_4_6' title='bbox 0 137 4 156; x_wconf 58' lang='eng'>:</span> <span class='ocrx_word' id='word_4_7' title='bbox 55 123 141 153; x_wconf 82' lang='eng' dir='ltr'>Vries</span> <span class='ocrx_word' id='word_4_8' title='bbox 455 153 459 170; x_wconf 43' lang='eng'><strong>?</strong></span> <span class='ocrx_word' id='word_4_9' title='bbox 491 152 495 159; x_wconf 57' lang='eng'><em>.</em></span> 
     </span>
     <span class='ocr_line' id='line_4_4' title="bbox 0 154 600 203; baseline -0.013 -9"><span class='ocrx_word' id='word_4_10' title='bbox 0 166 4 203; x_wconf 57' lang='eng'><em>;</em></span> <span class='ocrx_word' id='word_4_11' title='bbox 54 164 260 198; x_wconf 72' lang='eng' dir='ltr'>Exploitatie:</span> <span class='ocrx_word' id='word_4_12' title='bbox 284 158 423 194; x_wconf 80' lang='eng' dir='ltr'>Servauto</span> <span class='ocrx_word' id='word_4_13' title='bbox 444 154 509 183; x_wconf 67' lang='eng' dir='ltr'>M30.</span> <span class='ocrx_word' id='word_4_14' title='bbox 534 154 600 183; x_wconf 78' lang='eng' dir='ltr'>B.V-</span> 
     </span>
     <span class='ocr_line' id='line_4_5' title="bbox 50 207 192 241; baseline 0.014 -6"><span class='ocrx_word' id='word_4_15' title='bbox 50 207 102 237; x_wconf 79' lang='eng' dir='ltr'>Den</span> <span class='ocrx_word' id='word_4_16' title='bbox 122 207 192 241; x_wconf 84' lang='eng' dir='ltr'>Haag</span> 
     </span>
     <span class='ocr_line' id='line_4_6' title="bbox 48 248 245 279; baseline 0.01 -2"><span class='ocrx_word' id='word_4_17' title='bbox 48 248 245 279; x_wconf 68' lang='eng'>070-3180480</span> 
     </span>
     <span class='ocr_line' id='line_4_7' title="bbox 228 326 585 364; baseline -0.025 0"><span class='ocrx_word' id='word_4_18' title='bbox 228 326 585 364; x_wconf 74' lang='eng' dir='ltr'>KLANTENBON</span> 
     </span>
     <span class='ocr_line' id='line_4_8' title="bbox 60 410 780 451; baseline -0.014 0"><span class='ocrx_word' id='word_4_19' title='bbox 60 420 186 451; x_wconf 64' lang='eng' dir='ltr'>ARTIKEL</span> <span class='ocrx_word' id='word_4_20' title='bbox 462 414 515 447; x_wconf 69' lang='eng' dir='ltr'>BTW</span> <span class='ocrx_word' id='word_4_21' title='bbox 667 410 780 443; x_wconf 81' lang='eng' dir='ltr'>BEDRAG</span> 
     </span>
     <span class='ocr_line' id='line_4_9' title="bbox 41 455 777 496; baseline -0.014 0"><span class='ocrx_word' id='word_4_22' title='bbox 41 463 163 496; x_wconf 59' lang='eng' dir='ltr'>*Diese]</span> <span class='ocrx_word' id='word_4_23' title='bbox 191 463 273 495; x_wconf 62' lang='eng' dir='ltr'>1.;u.</span> <span class='ocrx_word' id='word_4_24' title='bbox 481 460 497 491; x_wconf 88' lang='eng'>2</span> <span class='ocrx_word' id='word_4_25' title='bbox 537 457 556 489; x_wconf 83' lang='eng'>?</span> <span class='ocrx_word' id='word_4_26' title='bbox 687 455 777 488; x_wconf 71' lang='eng'>51.01</span> 
     </span>
     <span class='ocr_line' id='line_4_10' title="bbox 79 501 667 544; baseline -0.009 -5"><span class='ocrx_word' id='word_4_27' title='bbox 79 507 165 544; x_wconf 56' lang='eng' dir='ltr'>(PEN?</span> <span class='ocrx_word' id='word_4_28' title='bbox 205 509 235 543; x_wconf 76' lang='eng'>3;</span> <span class='ocrx_word' id='word_4_29' title='bbox 260 507 350 539; x_wconf 71' lang='eng'>39.27</span> <span class='ocrx_word' id='word_4_30' title='bbox 374 506 388 537; x_wconf 73' lang='eng' dir='ltr'><strong><em>B</em></strong></span> <span class='ocrx_word' id='word_4_31' title='bbox 408 510 422 532; x_wconf 56' lang='eng' dir='ltr'><strong>i</strong></span> <span class='ocrx_word' id='word_4_32' title='bbox 445 504 463 536; x_wconf 70' lang='eng'>6</span> <span class='ocrx_word' id='word_4_33' title='bbox 484 501 626 539; x_wconf 64' lang='eng'>1.299/9)</span> <span class='ocrx_word' id='word_4_34' title='bbox 651 505 667 528; x_wconf 69' lang='eng'><em>*</em></span> 
     </span>
     <span class='ocr_line' id='line_4_11' title="bbox 73 593 774 630; baseline -0.009 0"><span class='ocrx_word' id='word_4_35' title='bbox 73 597 286 630; x_wconf 46' lang='eng' dir='ltr'>7?C31?zkxkl.</span> <span class='ocrx_word' id='word_4_36' title='bbox 520 593 557 626; x_wconf 63' lang='eng'>63</span> <span class='ocrx_word' id='word_4_37' title='bbox 595 594 627 626; x_wconf 81' lang='eng' dir='ltr'>ES</span> <span class='ocrx_word' id='word_4_38' title='bbox 640 594 656 625; x_wconf 80' lang='eng'>1</span> <span class='ocrx_word' id='word_4_39' title='bbox 686 618 695 625; x_wconf 91' lang='eng'>.</span> <span class='ocrx_word' id='word_4_40' title='bbox 712 593 744 625; x_wconf 77' lang='eng'>(3</span> <span class='ocrx_word' id='word_4_41' title='bbox 757 594 774 625; x_wconf 80' lang='eng'>1</span> 
     </span>
     <span class='ocr_line' id='line_4_12' title="bbox 28 685 783 722; baseline -0.003 -2"><span class='ocrx_word' id='word_4_42' title='bbox 28 689 158 722; x_wconf 57' lang='eng' dir='ltr'>HAESTRE</span> <span class='ocrx_word' id='word_4_43' title='bbox 655 685 674 718; x_wconf 76' lang='eng' dir='ltr'>E</span> <span class='ocrx_word' id='word_4_44' title='bbox 693 686 783 719; x_wconf 75' lang='eng'>51.01</span> 
     </span>
     <span class='ocr_line' id='line_4_13' title="bbox 30 782 158 819; baseline 0 -5"><span class='ocrx_word' id='word_4_45' title='bbox 30 782 158 819; x_wconf 49' lang='eng' dir='ltr'>8mm$s</span> 
     </span>
     <span class='ocr_line' id='line_4_14' title="bbox 31 827 791 863; baseline 0.004 -3"><span class='ocrx_word' id='word_4_46' title='bbox 31 827 172 861; x_wconf 46' lang='eng' dir='ltr'>Terminal</span> <span class='ocrx_word' id='word_4_47' title='bbox 201 828 267 861; x_wconf 59' lang='eng'>33.:</span> <span class='ocrx_word' id='word_4_48' title='bbox 637 828 791 863; x_wconf 65' lang='eng'>01278592</span> 
     </span>
     <span class='ocr_line' id='line_4_15' title="bbox 29 875 344 912; baseline 0.006 -6"><span class='ocrx_word' id='word_4_49' title='bbox 29 875 81 907; x_wconf 65' lang='eng' dir='ltr'>Via</span> <span class='ocrx_word' id='word_4_50' title='bbox 103 875 175 912; x_wconf 64' lang='eng' dir='ltr'>chip</span> <span class='ocrx_word' id='word_4_51' title='bbox 198 875 344 909; x_wconf 43' lang='eng' dir='ltr'>verLerkt</span> 
     </span>
     <span class='ocr_line' id='line_4_16' title="bbox 27 922 795 961; baseline 0.008 -6"><span class='ocrx_word' id='word_4_52' title='bbox 27 923 98 956; x_wconf 52' lang='eng' dir='ltr'>Rest</span> <span class='ocrx_word' id='word_4_53' title='bbox 123 922 246 957; x_wconf 71' lang='eng' dir='ltr'>ref.nr:</span> <span class='ocrx_word' id='word_4_54' title='bbox 662 926 795 961; x_wconf 74' lang='eng'>1236569</span> 
     </span>
     <span class='ocr_line' id='line_4_17' title="bbox 23 972 797 1025; baseline 0 -14"><span class='ocrx_word' id='word_4_55' title='bbox 23 972 226 1025; x_wconf 40' lang='eng' dir='ltr'>?EIU?/t5§§i</span> <span class='ocrx_word' id='word_4_56' title='bbox 484 975 679 1011; x_wconf 61' lang='eng'>05-05-2035</span> <span class='ocrx_word' id='word_4_57' title='bbox 705 976 797 1012; x_wconf 71' lang='eng'>16:47</span> 
     </span>
     <span class='ocr_line' id='line_4_18' title="bbox 24 1021 441 1060; baseline 0.017 -7"><span class='ocrx_word' id='word_4_58' title='bbox 24 1021 111 1054; x_wconf 45' lang='eng' dir='ltr'>Saar:</span> <span class='ocrx_word' id='word_4_59' title='bbox 137 1028 171 1055; x_wconf 64' lang='eng'>[77</span> <span class='ocrx_word' id='word_4_60' title='bbox 200 1022 266 1057; x_wconf 65' lang='eng' dir='ltr'>5&#39;2sz</span> <span class='ocrx_word' id='word_4_61' title='bbox 291 1032 352 1058; x_wconf 47' lang='eng'>:57:</span> <span class='ocrx_word' id='word_4_62' title='bbox 368 1024 441 1060; x_wconf 56' lang='eng'>5:17.:</span> 
     </span>
     <span class='ocr_line' id='line_4_19' title="bbox 15 1121 278 1162; baseline 0.023 -7"><span class='ocrx_word' id='word_4_63' title='bbox 15 1121 278 1162; x_wconf 50' lang='eng' dir='ltr'>HAESTRU</span> 
     </span>
    </p>
   </div>
  </div>
</div>

</div>

<!-- Bootstrap core JavaScript
   ================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/hocr.js"></script>
<script>
$(document).ready(function() {
	

	$('#showRects').on('click',function(){ 
		var $inputRects = $( this );
		var resize =  100;
		isChecked = $inputRects.prop("checked");
		if(isChecked){
		    $(".ocrx_word").attr('style', function() {
		 		Hocr.bboxToRect(this.title, this.textContent, $("#image_container"), 'blue', 'red', resize);
		 	});
		}
		else {
			Hocr.removeRect($("#image_container"));
		}
	});
	
	$('#showText').on('click',function(){
		var $inputText = $( this );
		isChecked = $inputText.prop("checked");
		if(isChecked){
			$(".ocrx_word").attr('style', function() {
		 		return Hocr.bboxToText(this.title);
		 	});
		}
		else {
			$(".ocrx_word").attr('style', function() {
				var word = $( this );
				word.removeAttr("style");
			});
		}
	});

	
});
 
</script>
</body>
</html>